#ifndef FMP_WND_H
#define FMP_WND_H

#include <QDialog>


class FMPWnd : public QDialog
{
    Q_OBJECT
public:
    explicit    FMPWnd(QDialog* parent = 0);
    ~FMPWnd();

    int         exec();

public slots:
    void    on_close_btn_clicked();

#ifdef Q_OS_WIN
protected:
    bool        nativeEvent(const QByteArray &eventType, void *message, long *result);
    void        paintEvent(QPaintEvent *event);
    long        winHCHitTest(MSG* msg);
#endif
};

#endif // FMP_WND_H
